- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateFogCoordinateType Namespace Reference

The render state fog coordinate source types. More...

## Enumerations
enum | Type { FOG_COORDINATE = 0x8451, FRAGMENT_DEPTH = 0x8452, INVALID }
| A fog coordinate type. More...
## Functions
FCOLLADA_EXPORT Type | FromString (const char *value)
| Converts the COLLADA render state fog coordinate source type string to the fog coordinate source type.
Type | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Type type)
| Converts the fog coordinate source type to its COLLADA render state fog coordinate source type string.

## Detailed Description

The render state fog coordinate source types.

## Enumeration Type Documentation

enum FUDaePassStateFogCoordinateType::Type

  | A fog coordinate type. Enumerator:
  FOG_COORDINATE | Use fog coordinate values.
  FRAGMENT_DEPTH | Use the depth value of the fragment.
  INVALID | An invalid fog coordinate type.

## Function Documentation

Type FUDaePassStateFogCoordinateType::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Type FUDaePassStateFogCoordinateType::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state fog coordinate source type string to the fog coordinate source type. Parameters:
  | value | The render state fog coordinate source type string.
Returns: The fog coordinate source type.

FCOLLADA_EXPORT const char* FUDaePassStateFogCoordinateType::ToString | ( | Type | type | ) |

  | Converts the fog coordinate source type to its COLLADA render state fog coordinate source type string. Parameters:
  | type | The fog coordinate source type.
Returns: The render state fog coordinate source type string.